# Raw

**All the endpoints that can be called on the Raw controller.**

All the endpoints require the `API_RAW_TABLE_READ` permission.

## index

> \*\*The index lists all available data through the raw endpoint.\*\*\
> \
> See the Response tab below for a sample response.

```json
{"openapi":"3.0.0","info":{"title":"Omnidesk API documentation","version":"1.0.0"},"tags":[{"name":"Raw","description":"**All the endpoints that can be called on the Raw controller.**\n\nAll the endpoints require the `API_RAW_TABLE_READ` permission."}],"servers":[{"url":"http://{{base_url}}"}],"security":[{"apikeyAuth":[]}],"components":{"securitySchemes":{"apikeyAuth":{"type":"http","scheme":"apikey"}}},"paths":{"/api/v2/raw":{"get":{"tags":["Raw"],"summary":"index","description":"**The index lists all available data through the raw endpoint.**\n\nSee the Response tab below for a sample response.","responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}}}}
```

## tableData

> The actual data can be fetched with this endpoint. Use the data of the method above to generate a valid URL with valid columns and filters.

```json
{"openapi":"3.0.0","info":{"title":"Omnidesk API documentation","version":"1.0.0"},"tags":[{"name":"Raw","description":"**All the endpoints that can be called on the Raw controller.**\n\nAll the endpoints require the `API_RAW_TABLE_READ` permission."}],"servers":[{"url":"http://{{base_url}}"}],"security":[{"apikeyAuth":[]}],"components":{"securitySchemes":{"apikeyAuth":{"type":"http","scheme":"apikey"}}},"paths":{"/api/v2/raw/tableData":{"get":{"tags":["Raw"],"summary":"tableData","description":"The actual data can be fetched with this endpoint. Use the data of the method above to generate a valid URL with valid columns and filters.","parameters":[{"name":"table","in":"query","schema":{"type":"string"},"description":"The table to get the data from, sample: telephone_calls_inbound"},{"name":"columns","in":"query","schema":{"type":"string"},"description":"Comma separated list of the columns you want data from."},{"name":"filters[]","in":"query","schema":{"type":"string"},"description":"Array of filters you want to apply. Availability is dependent per table.\nSimply give the filter name as index for this parameter."},{"name":"start","in":"query","schema":{"type":"string"},"description":"type: `ISO datetime`\n\nTimestamp of when the data should start, example: 2025-01-01 00:00:00"},{"name":"end","in":"query","schema":{"type":"string"},"description":"type: `ISO datetime`\n\nTimestamp of when the data should end,  example: 2025-02-01 00:00:00"}],"responses":{"200":{"description":"OK","headers":{"Date":{"schema":{"type":"string"}},"Server":{"schema":{"type":"number"}},"X-Powered-By":{"schema":{"type":"string"}},"X-Frame-Options":{"schema":{"type":"string"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"Pragma":{"schema":{"type":"string"}},"Access-Control-Allow-Orgin":{"schema":{"type":"string"}},"Access-Control-Allow-Methods":{"schema":{"type":"string"}},"Content-Length":{"schema":{"type":"integer"}},"Keep-Alive":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Content-Type":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```

## fullTable

> \*\*Returns the raw data of the full table.\*\*\
> \
> Uses the table param to get the \`raw\_fulltable\_crons\` entry and serves the given file.

```json
{"openapi":"3.0.0","info":{"title":"Omnidesk API documentation","version":"1.0.0"},"tags":[{"name":"Raw","description":"**All the endpoints that can be called on the Raw controller.**\n\nAll the endpoints require the `API_RAW_TABLE_READ` permission."}],"servers":[{"url":"http://{{base_url}}"}],"security":[{"apikeyAuth":[]}],"components":{"securitySchemes":{"apikeyAuth":{"type":"http","scheme":"apikey"}}},"paths":{"/api/v2/raw/fullTable":{"get":{"tags":["Raw"],"summary":"fullTable","description":"**Returns the raw data of the full table.**\n\nUses the table param to get the `raw_fulltable_crons` entry and serves the given file.","responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omnidesk.io/omnidesk/api-specification/raw.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
